Update Your Browser

Stay updated. Protect your data with a current browser.

SECURITY UPDATE:

On April 30, 2018, we, along with most other financial institutions, will begin disabling TLS 1.0 security protocol support due to known security vulnerabilities.  Our primary goal in this effort is to maintain the highest possible security standards and help keep your data secure.

IMPORTANT ACTION REQUIRED:

If you use TLS 1.0 to access our online banking portal, you may need to update your internet browser to disable TLS 1.0 and use TLS 1.1 or higher, which we support. 

 

Email security@campuscu.com with any questions or concerns.

Is Your Current Browser Compatible?

Our compatibility table (below) can help you determine which browser is best for you.

For example, if you are using Mac 10.9 (or higher) operating system, recommended browsers include Google Chrome(38+), Mozilla Firefox (27+) and Safari (7+).

Keep your browser up-to-date to keep your data safe and secure.  

 

Browser Windows 7 Windows 8-8.1 Windows 10 Mac 10.9+ IOS 5+ Android 5.0
Google Chrome 38+
Mozilla Firefox 27+
Internet Explorer 11+ - - -
Microsoft Edge - - - - -
Safari 7+ - - -